  if (typeof(window.ONTVdebug)=="undefined"){window.ONTVdebug = function( a , l ){ if (l<=0){ console.log( a ); }}}
  window.ONTVdebug("Onnetwork Player Loader",1);
    if (typeof(window.ONTVdebug)=="undefined"){window.ONTVdebug = function( a , l ){ if (l<=0){ console.log( a ); }}}
  window.ONTVdebug("Onnetwork Player Loader",1);
      window.ONTVdebug( "SID websiteID:0 " , 0.5 );
    window.ONTVdebug( "SID videoID:0 " , 0.5 );
    window.ONTVdebug( "SID playlistID:0 " , 0.5 );
if(typeof(window.ONTVPlayers)=="undefined"){window.ONTVPlayers=new Array();window.ONTVplayerNb=window.ONTVAPOP=window.ONTVVPOP=window.ONTVAPOPA=window.ONTVVPOPA=0;window.ONTVOts=new Array();window.ONTVmobile=0;}
if(typeof(window.ONTVAddScript)=="undefined"){window.ONTVAddScript=function(url,async,loadfunc){ns=document.createElement("script");
fs=document.getElementsByTagName("script")[0];ns.src=url;ns.async=async;ns.onload=loadfunc;fs.parentNode.insertBefore(ns,fs);}
if ('IntersectionObserver' in window && 'IntersectionObserverEntry' in window && 'intersectionRatio' in window.IntersectionObserverEntry.prototype){
 if (!('isIntersecting' in window.IntersectionObserverEntry.prototype)){Object.defineProperty(window.IntersectionObserverEntry.prototype,'isIntersecting',{get:function(){return this.intersectionRatio>0;}});}}
 else{window.ONTVAddScript("https://cdn.onnetwork.tv/js/intersection-observer.min.js",false,function(){
  var poped=window.ONTVOts.pop();while(typeof(poped)!="undefined"){window.ONTVstartObserver(poped);poped=window.ONTVOts.pop();}});}
}
window.ONTVFields={wid:{t:"i",r:[-123,999999],q:"1",p:"n",d:0,c:1,n:""},widget:{t:"i",r:[0,999999],q:"1",p:"gz",d:0,c:1,n:""},
cid:{t:"i",r:[0,999],q:"1",p:"n",d:0,c:1,n:""},ar:{t:"f",r:[1,1000],q:"1",p:"n",d:56.25,c:1,n:""},ap:{t:"i",e:[-1,0,1,2,3,4],q:"1",p:"gez",d:-1,c:1,n:"ap"},
map:{t:"i",e:[-1,0,1],q:"1",p:"gez",d:-1,c:1,n:"map"},sfs:{t:"i",e:[0,1],q:"1",p:"gz",d:0,c:1,n:"sfs"},umum:{t:"i",e:[0,1],q:"1",p:"gz",d:-1,c:1,n:"umum"},
naa:{t:"i",e:[-1,0,1,2,3],q:"1",p:"gez",d:-1,c:1,n:"naa"},lang:{t:"i",r:[-1,99],q:"1",p:"gez",d:-1,c:1,n:"lang"},
pinva:{t:"i",e:[-1,0,1],q:"1",p:"gez",d:-1,c:1,n:"pinva"},adbs:{t:"i",r:[-1,10],q:"1",p:"gz",d:-1,c:1,n:"adbs"},
pinv:{t:"i",e:[-1,0,1],q:"1",p:"gez",d:-1,c:1,n:"pinv"},sm1as:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},
dpre:{t:"i",e:[0,1],q:"1",p:"gz",d:0,c:1,n:"dpre"},preload:{t:"i",e:[0,1],q:"1",p:"gz",d:0,c:1,n:"preload"},
optad:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},eb:{t:"i",e:[0,1],q:"1",p:"gz",d:0,c:1,n:"eb"},
isCpl:{t:"i",e:[0,1],q:"1",p:"gz",d:0,c:1,n:"isCpl"},usf:{t:"i",e:[0,1],q:"1",p:"gz",d:0,c:1,n:"onnsfonn"},
preview:{t:"i",e:[0,1],q:"1",p:"gz",d:0,c:1,n:"preview"},ampsrc:{t:"i",e:[0,1],q:"1",p:"gz",d:0,c:1,n:"ampsrc"},
miniaturePlayer:{t:"i",e:[0,1,2,3,4,5,6,7],q:"1",p:"n",d:0,c:1,n:""},mMiniaturePlayer:{t:"i",e:[1,2,3,4],q:"1",p:"n",d:1,c:1,n:""},
miniatureCloser:{t:"i",e:[0,1,2,3,4,5],q:"1",p:"n",d:0,c:1,n:""},miniatureCloserDelay:{t:"i",r:[0,60],q:"1",p:"n",d:5,c:1,n:""},
miniatureLevel:{t:"f",r:[0,1],q:"1",p:"n",d:0.5,c:1,n:""},miniatureAgain:{t:"i",e:[0,1],q:"1",p:"n",d:1,c:1,n:""},
miniatureMBlock:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},miniatureHCPS:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},
hmar:{t:"f",r:[-1,999],q:"1",p:"n",d:20,c:1,n:""},vmar:{t:"f",r:[-1,999],q:"1",p:"n",d:20,c:1,n:""},mnhbop:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},
mloc:{t:"s",e:["TL","TR","BL","BR","TC","NU"],q:"1",p:"n",d:"BL",c:1,n:""},alws:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},
hmv:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},dsmv:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},dscmv:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},
outstream:{t:"s",e:["o"," "],q:"1",p:"n",d:"",c:1,n:""},newoutstream:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},ocloser:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},
shid:{t:"i",e:[0,1],q:"1",p:"n",d:0,c:1,n:""},abm:{t:"i",e:[0,1],q:"1",p:"gz",d:0,c:1,n:"abm"},mapp:{t:"s",q:"1",p:"ne",d:"",c:1,n:"mapp"},
useDfpParams:{t:"b",q:"1",p:"n",d:false,c:1,n:""},useDfpOrg:{t:"b",q:"1",p:"n",d:false,c:1,n:""},useDfpParamsAudio:{t:"b",q:"1",p:"n",d:false,c:1,n:""},
exdur:{t:"i",r:[0,999999],q:"1",p:"gz",d:0,c:1,n:"exdur"},mtitle:{t:"s",q:"1",p:"ne",d:"",c:1,n:"mtitle"},
vids:{t:"s",q:"1",p:"ne",d:"",c:1,n:"vids"},vasturl:{t:"s",q:"1",p:"ne",d:"",c:1,n:"vasturl"},
orgdfp:{t:"s",q:"1",p:"n",d:"",c:1},exmp4:{t:"s",q:"1",p:"ne",d:"",c:1,n:"exmp4"},exhls:{t:"s",q:"1",p:"ne",d:"",c:1,n:"exhls"},
exth:{t:"s",q:"1",p:"ne",d:"",c:1,n:"exth"},mid:{t:"s",q:"1",p:"ne",d:"",c:1,n:"mid"},};
if(typeof(window.ONTVCheckField)=="undefined"){window.ONTVCheckField=function(f,d){
 if(typeof(window.ONTVFields[f])=="undefined"){return d[f];}
 if(typeof(d[f])=="undefined"){if(window.ONTVFields[f].q){return window.ONTVFields[f].d;}else{return null;}}
 if(window.ONTVFields[f].t=="i"){if(!isNaN(parseInt(d[f]))){d[f]=parseInt(d[f]);}else{d[f]=window.ONTVFields[f].d;}}
 if(window.ONTVFields[f].t=="f"){if(!isNaN(parseFloat(d[f]))){d[f]=parseFloat(d[f]);}else{d[f]=window.ONTVFields[f].d;}}
 if(window.ONTVFields[f].t=="b"){return Boolean(d[f]);}if(window.ONTVFields[f].t=="s"){if(typeof(d[f])=="string"){return d[f];}else{return "";}}
 if(window.ONTVFields[f].e){if(window.ONTVFields[f].e.indexOf(d[f])>=0){return d[f];}else{return window.ONTVFields[f].d;}}
 if(window.ONTVFields[f].r){if((d[f]>=window.ONTVFields[f].r[0])&&(d[f]<=window.ONTVFields[f].r[1])){return d[f];}else{return window.ONTVFields[f].d;}}}}
if(typeof(window.ONTVGetFrameSrc)=="undefined"){window.ONTVGetFrameSrc=function(Player){
var s='https://video.onnetwork.tv/'+Player.outstream+'frame86.php?id='+Player.frameId+'&iid='+Player.iid+'&e=1' ;
for(const i in window.ONTVFields){if(window.ONTVFields[i]['n']!="" && typeof(Player[i])!="undefined"){
 if(window.ONTVFields[i]['p']=="gz"){if(Player[i]>0){s=s+"&"+window.ONTVFields[i]['n']+"="+Player[i];}}
 else if(window.ONTVFields[i]['p']=="gez"){if(Player[i]>=0){s=s+"&"+window.ONTVFields[i]['n']+"="+Player[i];}}
 else if(window.ONTVFields[i]['p']=="ne"){if(Player[i]!=""){s=s+"&"+window.ONTVFields[i]['n']+"="+encodeURIComponent(Player[i]);}}}}
 if(typeof(Player.mid)!="string" || Player.mid.length<10){if(Player.wid>0){s=s+'&onnwid='+Player.wid;}if(Player.vid>0){s=s+'&onnvid='+Player.vid;}}
 return s ; }}
if (typeof(ONTVIFstyle)=="undefined"){var ONTVIFstyle = document.createElement("style");
 ONTVIFstyle.innerHTML = 'div.onnetworkplayercontainer{position:relative;padding-bottom:calc( 56.25% - 1px );height:auto;transition:padding-bottom 0.4s ease;' +
'overflow:hidden;margin:0px;width:100%;min-width:100%;max-width:100%;max-height:100%;min-height:1px;z-index:10;}'+
'div.onnetworkplayercontainer.oft16{padding-top:16px;}div.onnetworkplayercontainer.oft16 iframe.onnetworkframe{height:calc( 100% - 15px );min-height:1px !important;}'+
'div.onnetworkplayercontainer.miniature.mmpl2.oft16 > .alwplayer.smartphone,div.onnetworkplayercontainer.miniature.mmpl2.oft16 > .alwplayer.tablet{padding-top:16px;}'+
'div.onnetworkplayercontainer.miniature.mmpl4.oft16 > .alwplayer.smartphone,div.onnetworkplayercontainer.miniature.mmpl4.oft16 > .alwplayer.tablet{padding-top:16px;}'+
'div.onnetworkplayercontainer.outstream{padding-bottom:1px;opacity:0;max-height:1px;}'+
'div.onnetworkplayercontainer.outstream.isplayinga{padding-bottom:calc( 56.25% - 1px );opacity:1;max-height:none;}'+
'div.onnetworkplayercontainer.shid{padding-bottom:0 !important;padding-top:0px;}'+
'div.onnetworkplayercontainer.pstarted.shid{padding-bottom:calc( 56.25% - 1px ) !important;}'+
'div.onnetworkplayercontainer.ocloser{margin-top:20px;overflow:visible;}'+
'div.onnetworkplayercontainer.ocloser.outstream{margin-top:0px;overflow:hidden;}'+
'div.onnetworkplayercontainer.ocloser.outstream.isplayinga{margin-top:20px;overflow:visible;}'+
'div.onnetworkplayercontainer.ocloser::before{height:20px;position:relative;display:block;max-width:100%;width:100%;top:-20px;right:0px;content:" ";background:transparent url(https://cdn.onnetwork.tv/img/close_min_en.png) right center no-repeat;cursor:pointer;overflow:visible;}'+
'div.onnetworkplayercontainer.country0.ocloser::before{background-image:url( https://cdn.onnetwork.tv/img/close_minin2.png );}'+
'div.onnetworkplayercontainer.country5.ocloser::before{background-image:url( https://cdn.onnetwork.tv/img/close_min_latvian.png );}'+
'div.onnetworkplayercontainer.country6.ocloser::before{background-image:url( https://cdn.onnetwork.tv/img/close_min_lithuanian.png );}'+
'div.onnetworkplayercontainer.country7.ocloser::before{background-image:url( https://cdn.onnetwork.tv/img/close_min_sk.png );}'+
'div.onnetworkplayercontainer.brandp20{ padding-bottom: calc( 67.5% ) !important ;}'+
'div.onnetworkplayercontainer.brandp25{ padding-bottom: calc( 70.31% ) !important ;}'+
'div.onnetworkplayercontainer.brandp35{ padding-bottom: calc( 75.94% ) !important ;}'+
'div.onnetworkplayercontainer.brandp38{ padding-bottom: calc( 77.63% ) !important ;}'+
'div.onnetworkplayercontainer.brandp4x3{ padding-bottom: calc( 75% ) !important ;}'+
'.rcodeframe{width:100%;height:250px;padding:0;margin:0 auto;border:none;transition:height 0.1s ease 2s;}'+
'.rcodeframe2{width:100% !important;height:100% !important;left:0;top:0;position:absolute;padding:0;margin:0 auto;border:none;transition:height 0.1s ease 2s;z-index:1000000;}'+
'.isplayinga .rcodeframe2{ display : none ; } .isplayingm .rcodeframe2{ display : none ; }'+
'.isplayinga .rcodeframe{ display : none ; } .isplayingm .rcodeframe{ display : none ; }'+
'.alwplayer{aspect-ratio: 16 / 9 ;margin:0px;padding:0px;border:none;overflow:hidden;background:transparent;min-height:1px;'+
'transition:height 0.5s;position:absolute;width:100%;height:100%;max-height:none;left:0px;top:0px;transition:none;}' +
'.onnetworkplayercontainer>.alwplayer{z-index:66000 !important;}'+
(0?'.onnetworkplayercontainer.miniature{ position : static ; }':'')+
'@keyframes onnetworkplayerminshow{0%{opacity:0}to{opacity:1}}.onnetworkplayercontainer.miniature{animation-name:onnetworkplayerminshow;animation-duration:2s;}'+
'.onnetworkplayercontainer.miniature>.alwplayer{z-index:1000000;position:fixed;left:auto;top:auto;right:auto;bottom:auto;} '+
'.onnetworkplayercontainer.miniature.above>.alwplayer{z-index:100000 !important;} '+
'.onnetworkplayercontainer.miniature.isplayinga>.alwplayer{z-index:1200000 !important;} '+
'.onnetworkplayercontainer.miniature.smin3.isplayingm>.alwplayer{z-index:1100000 !important;} '+
'.onnetworkplayercontainer.miniature.smin4.isplayingm>.alwplayer{z-index:1100000 !important;} '+
'.miniature>.alwplayer.desktop '+
'{width:432px;max-width:432px;height:244px;top:auto;left:auto;right:20px;bottom:20px;max-height:244px;}'+
'.miniature.podcast1>.alwplayer.desktop{max-height:60px;}'+
'.miniature.podcast2>.alwplayer.desktop{max-height:80px;}'+
'.miniature.podcast3>.alwplayer.desktop{max-height:110px;}'+
'.miniature.mmpl1>.alwplayer.smartphone,.miniature.mmpl1>.alwplayer.tablet '+
'{width:400px;max-width:100%;height:224px;top:auto;left:auto;right:20px;bottom:20px;max-height:240px;}'+
'.miniature.mmpl1.podcast1>.alwplayer.smartphone,.miniature.mmpl1.podcast1>.alwplayer.tablet,'+
'.miniature.mmpl3.podcast1>.alwplayer.smartphone,.miniature.mmpl3.podcast1>.alwplayer.tablet,'+
'.miniature.mmpl2.podcast1>.alwplayer.smartphone,.miniature.mmpl2.podcast1>.alwplayer.tablet{max-height:80px;padding-bottom:calc( 10% - 1px ) !important;}'+
'.miniature.mmpl1.podcast2>.alwplayer.smartphone,.miniature.mmpl1.podcast2>.alwplayer.tablet,'+
'.miniature.mmpl3.podcast2>.alwplayer.smartphone,.miniature.mmpl3.podcast2>.alwplayer.tablet,'+
'.miniature.mmpl2.podcast2>.alwplayer.smartphone,.miniature.mmpl2.podcast2>.alwplayer.tablet{max-height:90px;padding-bottom:calc( 20% - 1px ) !important;}'+
'.miniature.mmpl1.podcast3>.alwplayer.smartphone,.miniature.mmpl1.podcast3>.alwplayer.tablet,'+
'.miniature.mmpl3.podcast3>.alwplayer.smartphone,.miniature.mmpl3.podcast3>.alwplayer.tablet,'+
'.miniature.mmpl2.podcast3>.alwplayer.smartphone,.miniature.mmpl2.podcast3>.alwplayer.tablet{max-height:100px;padding-bottom:calc( 30% - 1px ) !important;}'+
'.mmpl4>.alwplayer.smartphone,.mmpl4>.alwplayer.smartphone{transition:none;}'+
'.miniature.mmpl2>.alwplayer.smartphone,.miniature.mmpl2>.alwplayer.tablet, '+
'.miniature.mmpl4.above>.alwplayer.smartphone,.miniature.mmpl4.above>.alwplayer.tablet '+
'{width:100%;height:0px;top:0px;right:0px;max-height:none;padding-bottom:56.25%;}'+
'.miniature.mmpl3>.alwplayer.smartphone,.miniature.mmpl3>.alwplayer.tablet, '+
'.miniature.mmpl4.below>.alwplayer.smartphone,.miniature.mmpl4.below>.alwplayer.tablet '+
'{width:100%;height:0px;bottom:0px;right:0px;max-height:none;padding-bottom:56.25%;}'+
'@media (min-width:500px){.miniature.mmpl2>.alwplayer.smartphone,.miniature.mmpl2>.alwplayer.tablet, '+
'.miniature.mmpl3>.alwplayer.smartphone,.miniature.mmpl3>.alwplayer.tablet, '+
'.miniature.mmpl4.above>.alwplayer.smartphone,.miniature.mmpl4.above>.alwplayer.tablet,'+
'.miniature.mmpl4.below>.alwplayer.smartphone,.miniature.mmpl4.below>.alwplayer.tablet'+
'{width:400px;max-width:400px;padding-bottom:225px;}}'+
'@media (orientation:landscape){.miniature.mmpl2>.alwplayer.smartphone,.miniature.mmpl2>.alwplayer.tablet,'+
'.miniature.mmpl3>.alwplayer.smartphone,.miniature.mmpl3>.alwplayer.tablet,'+
'.miniature.mmpl4.above>.alwplayer.smartphone,.miniature.mmpl4.above>.alwplayer.tablet,'+
'.miniature.mmpl4.below>.alwplayer.smartphone,.miniature.mmpl4.below>.alwplayer.tablet'+
'{width:100vh;padding-bottom:56.25vh;max-width:100vh;}}'+
'@media (orientation:landscape) and (min-width:600px) and (min-height:600px){'+
'.miniature.mmpl2>.alwplayer.smartphone,.miniature.mmpl2>.alwplayer.tablet,'+
'.miniature.mmpl3>.alwplayer.smartphone,.miniature.mmpl3>.alwplayer.tablet,'+
'.miniature.mmpl4.above>.alwplayer.smartphone,.miniature.mmpl4.above>.alwplayer.tablet,'+
'.miniature.mmpl4.below>.alwplayer.smartphone,.miniature.mmpl4.below>.alwplayer.tablet'+
'{width:400px;padding-bottom:225px;max-width:400px;}}'+
'.fsplayer{transition:height 0.5s;position:fixed;width:100%;max-width:100%;height:100%;max-height:100%;left:0px;top:0px;z-index:66050;background-color:black;}' +
'.miniature.closer.cvis > .alwplayer:after{height:20px;position:relative;display:block;max-width:100%;width:100%;top:-20px;right:0px;content:" ";background:transparent url("https://cdn.onnetwork.tv/img/close_min_en.png") right center no-repeat;cursor:pointer;overflow:visible;}'+
'.country0.miniature.closer.cvis > .alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_minin2.png");}'+
'.country5.miniature.closer.cvis > .alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_min_latvian.png");}'+
'.country6.miniature.closer.cvis > .alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_min_lithuanian.png");}'+
'.country7.miniature.closer.cvis > .alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_min_sk.png");}'+
'.country10.miniature.closer.cvis > .alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_min_en.png");}'+
'.miniature.closer.cvis > .alwplayer{overflow:visible;} ' +
'.miniature.closer.cvis.mmpl2>.alwplayer:after,.miniature.closer.cvis.mmpl4.above>.alwplayer:after{'+
'height:20px;position:absolute;display:block;max-width:100%;width:100%;top:100%;'+
'right:0px;content:" ";background:transparent url("https://cdn.onnetwork.tv/img/close_minin2.png") right center no-repeat;cursor:pointer;overflow:visible;height:20px;}'+
'.country0.miniature.closer.cvis.mmpl2>.alwplayer:after,.country0.miniature.closer.cvis.mmpl4.above>.alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_minin2.png");}'+
'.country5.miniature.closer.cvis.mmpl2>.alwplayer:after,.country5.miniature.closer.cvis.mmpl4.above>.alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_min_latvian.png");}'+
'.country6.miniature.closer.cvis.mmpl2>.alwplayer:after,.country6.miniature.closer.cvis.mmpl4.above>.alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_min_lithuanian.png");}'+
'.country7.miniature.closer.cvis.mmpl2>.alwplayer:after,.country7.miniature.closer.cvis.mmpl4.above>.alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_min_sk.png");}'+
'.country10.miniature.closer.cvis.mmpl2>.alwplayer:after,.country7.miniature.closer.cvis.mmpl4.above>.alwplayer:after{background-image:url("https://cdn.onnetwork.tv/img/close_min_en.png");}'+
'.onnocbar{text-align:right;font-size:12px !important;height:16px !important;background-color:black;position:absolute;bottom:0px;left:0px;width:100%;float:none;line-height:1.2 !important;}'+
'div.onnetworkplayercontainer.pstarted.shid.oft16{padding-top:16px;}'+
'iframe.onnetworkframe{transition:none;min-height:auto !important;margin:0 !important;padding:0 !important;border:none !important;overflow:hidden;background:transparent;position:absolute !important;'+
'aspect-ratio: 16 / 9 ;width:100%;height:100%;left:0px;top:0px;}';fs=document.getElementsByTagName("body")[0];fs.appendChild(ONTVIFstyle);
var ONTVBHstyle = document.createElement("style");ONTVBHstyle.id="ONTVBHstyle";ONTVBHstyle.innerHTML='';fs.appendChild(ONTVBHstyle);}
  if (typeof(window.ONTVminiatureBlocked)=="undefined"){
    window.ONTVminiatureBlocked = function(){ 
      var td = document.getElementById( 'video_player_miniaturka_displaynone' );
      if (td && (typeof(td)=="object") && (td.id=='video_player_miniaturka_displaynone')){ return true ; }
      if ((typeof(window.ONTVminiatureExcludeBodyClasses)=="object") && (window.ONTVminiatureExcludeBodyClasses.length>0)){
        var allbodies = document.getElementsByTagName( 'BODY' );
        if ((allbodies) && (allbodies.length>0)){      
          for (var i=0;i<allbodies.length;i++){
            for (var j=0;j<window.ONTVminiatureExcludeBodyClasses.length;j++){
              if ((window.ONTVminiatureExcludeBodyClasses[j].trim()!="") && (typeof(allbodies[i].classList)=="object") && (allbodies[i].classList.contains(window.ONTVminiatureExcludeBodyClasses[j]))){ return true; }
            }
          }
        }
      } 
      return false ;
    }
  }
  if (typeof(window.ONTVstartObserver)=="undefined"){
    var thresholds = [0] ;
    for (var i=1; i<=100; i++) { var ratio = i/100; thresholds.push(ratio); }            
    window.ONTVstartObserver = function( observed ){
      try{
        var Ooptions = { threshold : thresholds }; 
        var Oobserver = new IntersectionObserver( function(e,o){window.ONTVintersectionCallback(e,o);} , Ooptions );
        Oobserver.observe( observed );
        var Mobserver = new MutationObserver( function(e){window.ONTVmutationCallback(e);} );
        Mobserver.observe( observed , {attributes:true,attributeFilter:['class'],childList:false,characterData:false} );
      }catch(e){window.ONTVOts.push(observed);console.log("observer error");console.log(e);}
    }
  }
  if (typeof(window.ONTVPlayerIndex)=="undefined"){
    window.ONTVAllPlayerIndex=function(field,value){
      for(var i=0;i<window.ONTVPlayers.length;i++){if (window.ONTVPlayers[i] && (typeof(window.ONTVPlayers[i][field])!="undefined") &&(window.ONTVPlayers[i][field]==value)){ return i; }}
      return -1;
    }
  }
  
  if (typeof(window.ONTVAllPlayers)=="undefined"){
    window.ONTVAllPlayers=function(p,p1,p2){
      if(typeof(p)!="function")return;
      for(var i=0;i<window.ONTVPlayers.length;i++){
        p(window.ONTVPlayers[i],p1,p2);
      }
    }
  }
  if (typeof(window.ONTVFSSwitch)=="undefined"){
    window.ONTVFSSwitch = function( iid ){
      try{
      var i=window.ONTVAllPlayerIndex( 'iid' , iid );
      if (i>=0){
        if (document.fullscreenElement&&(document.fullscreenElement==window.ONTVPlayers[i].frame)){ document.exitFullscreen(); }
        else if ((document.fullscreenElement==null)&&(window.ONTVPlayers[i].frame)){ window.ONTVPlayers[i].frame.requestFullscreen(); }
      }
      }catch(e){console.log(e);}
    }
    window.ONTVFSOff = function( frameId ){
      var i=window.ONTVAllPlayerIndex( 'frameId' , frameId );
      if ((i>=0)&&document.fullscreenElement&&(document.fullscreenElement==window.ONTVPlayers[i].frame)){ document.exitFullscreen(); }
    }
    document.addEventListener('fullscreenchange',(e)=>{
      if (!document.fullscreenElement){
        window.ONTVsendMes('PFSOff');
        var i=window.ONTVAllPlayerIndex( 'isfs' , 1 );
        if (i!=-1){
          var com={"sender":"onntv","sscript":"loader","comm":"player_fullscreenexit","iid":window.ONTVPlayers[i].iid,"subject":0,"target":0} ;
          var comtxt=JSON.stringify( com ); window.postMessage("onntv://"+comtxt,"*"); window.ONTVPlayers[i].isfs=0;
        }
      }else{
        var i=window.ONTVAllPlayerIndex( 'frame' , document.fullscreenElement );
        if (i==-1){window.ONTVsendMes('PFSOff');
          var i=window.ONTVAllPlayerIndex( 'isfs' , 1 );
          if (i!=-1){
            var com={"sender":"onntv","sscript":"loader","comm":"player_fullscreenexit","iid":window.ONTVPlayers[i].iid,"subject":0,"target":0} ;
            var comtxt=JSON.stringify( com ); window.postMessage("onntv://"+comtxt,"*"); window.ONTVPlayers[i].isfs=0;
          }
        }else{window.ONTVsendMes('PFSOn',window.ONTVPlayers[i].iid);
          var com={"sender":"onntv","sscript":"loader","comm":"player_fullscreenenter","iid":window.ONTVPlayers[i].iid,"subject":0,"target":0} ;
          var comtxt=JSON.stringify( com ); window.postMessage("onntv://"+comtxt,"*"); window.ONTVPlayers[i].isfs=1;
        }
      }
    });
  }
if(typeof(window.ONTVMiniatureEnabled)=="undefined"){window.ONTVMiniatureEnabled=function(menabled){
 window.ONTVAllPlayers(function(p){try{if(menabled==true){p.div.classList.remove("minblock");}else{p.div.classList.add("minblock");}}catch(e){}
 },menabled);}}
  if(typeof(window.ONTVhideMiniature)=="undefined"){window.ONTVhideMiniature=function(PlayerEntry){
    try{if (PlayerEntry.div.classList.contains("smin5")){window.ONTVsendMes('skipads',PlayerEntry.frameId);}}catch(e){}
    try{PlayerEntry.div.classList.remove("smin1","smin2","smin3","smin4","smin5","smin6","smin7"); }catch(e){}
      var umc = 0 ;
      try{ umc=document.getElementById( PlayerEntry.divId ).userMinClose ; }catch(e){}
      window.ONTVsendMes('hideMiniature',PlayerEntry.frameId,umc);
    }
  }
  if (typeof(window.ONTVhideAllMiniature)=="undefined"){
    window.ONTVhideAllMiniature=function(){for(var i=0;i<window.ONTVPlayers.length;i++){window.ONTVhideMiniature(window.ONTVPlayers[i]);}}
  }
  if (typeof(window.ONTVcloseMiniature)=="undefined"){window.ONTVcloseMiniature=function(e){
    if (e && e.parentElement && e.parentElement.classList && e.parentElement.classList.contains( "closer" )){
      e.parentElement.userMinClose = 1 ;
      if (e.parentElement.classList.contains( "aviewa" )){ window.ONTVAllPlayers((function(Player,p1,p2){
      if((Player.div==p1)&&(Player.dsmcv==1)){p1.classList.add("nomin");}}),e.parentElement,null); }
      if (e.parentElement.classList.contains("smin5")){window.ONTVsendMes('skipads','ff'+e.parentElement.id);}
      if (e.parentElement.classList.contains( "closer4" )){ e.parentElement.classList.remove( "pnivp" ); return;}
      if (e.parentElement.classList.contains( "closer2" )){ e.parentElement.classList.remove( "smin1","smin2","smin3","smin4","smin5","smin6","smin7"); return;}
      if (e.parentElement.classList.contains( "closer3" )||e.parentElement.classList.contains( "closer1" )||e.parentElement.classList.contains( "closer5" )){
        for (var i=0;i<window.ONTVPlayers.length;i++){
          try{if(e.parentElement.classList.contains( "closer3" )){window.ONTVPlayers[i].div.classList.remove("pnivp");}
              else{window.ONTVPlayers[i].div.classList.remove("smin1","smin2","smin3","smin4","smin5","smin6","smin7");
                if(e.parentElement.classList.contains( "closer5" )){
                  console.log( "ustawiam cookie:"+"nomin"+window.ONTVPlayers[i].wid+"=1;path=;domain=.onnetwork.tv" );
//                  document.cookie="nomin"+window.ONTVPlayers[i].wid+"=1; expires=0; " ;
                  console.log( document.cookie );
                }
              }}catch(e){} }
        return ;
      }
    }
  }}
  if (typeof(window.ONTVclosePlayer)=="undefined"){window.ONTVclosePlayer=function(e){
    if (e.offsetY && e.offsetY>0){ return ; }
    var idtoclose = "" ;
    if (e.target && e.target.id){ idtoclose=e.target.id; }
    else if (e.id){ idtoclose=e.id; }
    for(var i=0;i<window.ONTVPlayers.length;i++){
      if (window.ONTVPlayers[i] && (typeof(window.ONTVPlayers[i].divId)=="string") && (window.ONTVPlayers[i].divId==idtoclose)){
        try{var pc=document.getElementById(window.ONTVPlayers[i].divId);
        pc.style.height="0px";pc.style.minHeight="0px";pc.style.padding="0px";pc.classList.remove("ocloser");}catch(e){}
        setTimeout(function(){try{
          if (window.ONTVPlayers[i].div && window.ONTVPlayers[i].div.parentNode){ window.ONTVPlayers[i].div.parentNode.removeChild( window.ONTVPlayers[i].div ); }
          else if (window.ONTVPlayers[i].div && window.ONTVPlayers[i].div2){ window.ONTVPlayers[i].div.removeChild( window.ONTVPlayers[i].div2 ); }
          window.ONTVPlayers[i]=null;window.ONTVPlayers.splice(i,1);}catch(e){}},520);break;}}
  }}
  if (typeof(window.ONTVintersectionCallback)=="undefined"){
    window.ONTVintersectionCallback = function( entries , observer ){
      foundVisible = false ;
      for (var i=0;i<entries.length;i++){
        var pidx=window.ONTVAllPlayerIndex("div",entries[i].target);
        if ((pidx>=0) && window.ONTVPlayers[pidx] && window.ONTVPlayers[pidx].isCpl && (window.ONTVPlayers[pidx].isCpl==1)){continue;}
        if ("miniatureLevel" in entries[i].target){if(entries[i].intersectionRatio>entries[i].target.miniatureLevel){foundVisible=true;}}
        else{if(entries[i].intersectionRatio>0){foundVisible=true;}}
        try{document.getElementById("dff"+entries[i].target.id ).style.zIndex = 1000000 - window.pageYOffset - parseInt(entries[i].boundingClientRect.top);}catch(e){}
      }
      for (var i=0;i<window.ONTVPlayers.length;i++){
        if ((window.ONTVPlayers[i]!=null) && (window.ONTVPlayers[i].div)){
          if (foundVisible && !window.ONTVPlayers[i].div.classList.contains("mnhbop")){window.ONTVPlayers[i].div.classList.remove("nonevisible");}else{window.ONTVPlayers[i].div.classList.add("nonevisible");}
        }
      }
      try{for (var i=0;i<entries.length;i++){if(entries[i].target){
        if ( (("miniatureLevel" in entries[i].target) && 
              (entries[i].target.intersectionRatio>entries[i].target.miniatureLevel) && 
              (entries[i].intersectionRatio<=entries[i].target.miniatureLevel)) ||
             (!("miniatureLevel" in entries[i].target) && (entries[i].target.intersectionRatio>0) && (entries[i].intersectionRatio==0)) ){
          var eif1 = document.getElementById( "ff"+entries[i].target.id+"nl2" );
          if (eif1){eif1.parentNode.removeChild(eif1);}}
        entries[i].target.intersectionRatio=entries[i].intersectionRatio
        if (entries[i].target){
          if ( (("miniatureLevel" in entries[i].target) && (entries[i].intersectionRatio<=entries[i].target.miniatureLevel)) || 
               (!("miniatureLevel" in entries[i].target) && (entries[i].intersectionRatio<=0)) ){
            window.ONTVAllPlayers((function(Player,p1,p2){
              if((Player.div==p1)&&(Player.dsmv==1)&&p1.classList.contains("aviewa")){p1.classList.add("nomin");}}),entries[i].target,null);
            entries[i].target.classList.add("pnivp");
            if (entries[i].boundingClientRect.top<0){entries[i].target.classList.add("above");}
            else if (entries[i].boundingClientRect.top>0){entries[i].target.classList.add("below");}
          }
          else{entries[i].target.classList.remove("pnivp","above","below");}}
        }}}catch(e){}
    }
  }
  if (typeof(window.ONTVmutationCallback)=="undefined"){
    window.ONTVmutationCallback = function(e){
      if (e && e.length){
        for(var i=0;i<e.length;i++){
          var cl = e[i].target.classList ;
          var sbm = (!cl.contains("minblock") && !cl.contains("nomin") && !cl.contains("mhcps") &&
               ((cl.contains("smin1") && cl.contains("nonevisible") && cl.contains("pnivp")) ||
                ((cl.contains("smin1")||cl.contains("smin2")||cl.contains("smin4")) && cl.contains("alwayssticky")) ||
                (cl.contains("smin2") && cl.contains("nonevisible") && cl.contains("pnivp") && cl.contains("isplayinga")) ||
                (cl.contains("smin6") && cl.contains("nonevisible") && cl.contains("pnivp") && cl.contains("isplayinga") && cl.contains("above")) ||
                (cl.contains("smin5") && cl.contains("isplayinga") && cl.contains("avideo")) ||
                (cl.contains("smin3") && cl.contains("nonevisible") && cl.contains("pnivp") && cl.contains("above")) ||
                (cl.contains("smin4") && cl.contains("nonevisible") && cl.contains("pnivp") && cl.contains("isplayinga")) ||
                (cl.contains("smin4") && cl.contains("nonevisible") && cl.contains("pnivp") && cl.contains("isplayingm")) ||
                (cl.contains("smin7") && cl.contains("nonevisible") && cl.contains("pnivp") && cl.contains("isplayinga") && cl.contains("above")) ||
                (cl.contains("smin7") && cl.contains("nonevisible") && cl.contains("pnivp") && cl.contains("isplayingm") && cl.contains("above")) ) );
              if (sbm){if(!e[i].target.classList.contains("miniature")){
            e[i].target.classList.remove( "cvis" );
            e[i].target.classList.add( "miniature" );
            e[i].target.userMinClose = 0 ;
            if (e[i].target.dataset['miniaturetarget'] && (typeof(e[i].target.dataset['miniaturetarget'])=="string") && (e[i].target.dataset['miniaturetarget']!="")){ 
              var mt = document.getElementById( e[i].target.dataset['miniaturetarget'] );
              if (mt){  var r = mt.getBoundingClientRect(); var mp=document.getElementById( 'dff'+e[i].target.id );
                if (r && mp){ mp.style.left=r.left+"px"; mp.style.width=(r.right-r.left)+"px";
                  mp.style.maxWidth=(r.right-r.left)+"px"; mp.style.height=((r.right-r.left)*(9/16))+"px";
                  mp.style.maxHeight=((r.right-r.left)*(9/16))+"px"; }}}            
            if (parseInt(e[i].target.dataset['closerdelay'])>=0){ 
              setTimeout( "try{document.getElementById('"+e[i].target.id+"').classList.add( 'cvis' );}catch(e){}" , 1+1000*parseInt(e[i].target.dataset['closerdelay']) ); }
            window.ONTVsendMes('showMiniature','ff'+e[i].target.id,"");
          }}
          else{if(e[i].target.classList.contains("miniature")){
            e[i].target.classList.remove( "miniature" );
            e[i].target.classList.remove( "cvis" );
            if (e[i].target.dataset['miniaturetarget']!=""){ 
              var mp=document.getElementById( 'dff'+e[i].target.id );
              if (mp){ mp.style.left=mp.style.width=mp.style.maxWidth=mp.style.height=mp.style.maxHeight=""; }}
            window.ONTVsendMes('hideMiniature','ff'+e[i].target.id,e[i].target.userMinClose || 0);
          }}
        }
      }
    }
  }
  if (typeof(window.ONTVredistMes)=="undefined"){
    window.ONTVredistMes=function(m){for(var i=0;i<window.frames.length;i++){frames[i].postMessage(m,"*");}}
  }
  if (typeof(window.ONTVsendCommand)=="undefined"){
    window.ONTVsendCommand=function(comm,iid,arg1="",arg2=""){
      var com={"sender":"onntv","sscript":"loader","comm":comm,"iid":iid,"subject":arg1,"target":arg2} ;
      var comtxt=JSON.stringify( com );for (var i=0;i<window.ONTVPlayers.length;i++){
        if ((window.ONTVPlayers[i].iid==iid) && window.ONTVPlayers[i].frameId){
          var sf = document.getElementById(window.ONTVPlayers[i].frameId);if (sf){sf.contentWindow.postMessage("onntv://"+comtxt,"*");break;}}}}}
  if (typeof(window.ONTVsendMes)=="undefined"){
    window.ONTVsendMes=function(comm,arg1="",arg2=""){
      var com={"sender":"onntv","sscript":"loader","comm":comm,"subject":arg1,"target":arg2} ;
      var comtxt=JSON.stringify( com );for(var i=0;i<window.frames.length;i++){frames[i].postMessage("onntv://"+comtxt,"*");}}}

  if (typeof(window.ONTVaddReplacePlayer)=="undefined"){window.ONTVaddReplacePlayer=function( Player ){
    playerFound=false;
    for (var i=0;i<window.ONTVPlayers.length;i++){
      if ((window.ONTVPlayers[i].containerId==Player.containerId) || 
          (window.ONTVPlayers[i].frameId==Player.frameId)){
        if (window.ONTVPlayers[i].div && window.ONTVPlayers[i].div.parentNode){ window.ONTVPlayers[i].div.parentNode.removeChild( window.ONTVPlayers[i].div ); }
        else if (window.ONTVPlayers[i].div && window.ONTVPlayers[i].div2){ window.ONTVPlayers[i].div.removeChild( window.ONTVPlayers[i].div2 ); }
        window.ONTVPlayers[i].div=window.ONTVPlayers[i].div2=window.ONTVPlayers[i].frame=null;
        for(var pf in Player){window.ONTVPlayers[i][pf]=Player[pf];}
        window.ONTVPlayers[i].frameSrc=window.ONTVGetFrameSrc(window.ONTVPlayers[i]);
        window.ONTVPlayers[i].addcount=0;window.ONTVPlayers[i].added=false;return;
      }
    }
    if(!playerFound){
      var c=document.getElementById(Player.containerId);if(!c){return false;}
      window.ONTVplayerNb++;
      var d=new Date();
      Player.baseId="EXSfd7a7379b44002927fca0472054a9906"+d.getTime();
      Player.divId=Player.baseId+window.ONTVplayerNb;
      Player.frameId="ff"+Player.baseId+window.ONTVplayerNb;
      Player.div2Id="dff"+Player.baseId+window.ONTVplayerNb;
      Player.div=Player.frame=Player.div2=null;
      Player.wid=0;
      if(!Player.ar){Player.ar=56.25;}
      Player.added=false;Player.addcount=0;Player.number=window.ONTVplayerNb;
      if(window.ONTVPlayers[0]){
        Player.preview=window.ONTVPlayers[0].preview;
        Player.ls=window.ONTVPlayers[0].ls;
        Player.optout=window.ONTVPlayers[0].optout;
        Player.ap=window.ONTVPlayers[0].ap;
        Player.map=window.ONTVPlayers[0].map;
        Player.sfs=window.ONTVPlayers[0].sfs;
        Player.smfmo=window.ONTVPlayers[0].smfmo;
        Player.wid=window.ONTVPlayers[0].wid;
        Player.cid=window.ONTVPlayers[0].cid;
        Player.mtitle=window.ONTVPlayers[0].mtitle;
        Player.vids=window.ONTVPlayers[0].vids;
        Player.ampsrc=window.ONTVPlayers[0].ampsrc;
        Player.isCpl=window.ONTVPlayers[0].isCpl;
        Player.vasturl=window.ONTVPlayers[0].vasturl;
        Player.orgdfp=window.ONTVPlayers[0].orgdfp;
        Player.vastssend=false;
        Player.useDfpParams=window.ONTVPlayers[0].useDfpParams;
        Player.useDfpOrg=window.ONTVPlayers[0].useDfpOrg;
        Player.useDfpParamsAudio=window.ONTVPlayers[0].useDfpParamsAudio;
        Player.outstream=window.ONTVPlayers[0].outstream;
        Player.newoutstream=window.ONTVPlayers[0].newoutstream;
        Player.ocloser=window.ONTVPlayers[0].ocloser;
        Player.mnhbop=window.ONTVPlayers[0].mnhbop;
        Player.hmv=window.ONTVPlayers[0].hmv;
        Player.dsmv=window.ONTVPlayers[0].dsmv;
        Player.dsmcv=window.ONTVPlayers[0].dsmcv;
        Player.widget=window.ONTVPlayers[0].widget;
      }
      Player.frameSrc = window.ONTVGetFrameSrc(Player);
      window.ONTVPlayers.push(Player);      
    }
  }}
if(typeof(window.ONTVtrack)=="undefined"){
window.ONTVtrack=function(d){var headers=new Headers();headers.append('Content-Type','text/html');headers.append('Connection','close');
var init={method:'GET',mode:'no-cors',credentials:'include',redirect:'follow',referrer:'no-referrer',headers:headers,cache:'no-store'};
var request=new Request(d,init);fetch(request,init);}}
if(typeof(window.ONTVtrackI)=="undefined"){window.ONTVtrackI=function(d){try{(new Image(1,1)).src=d;}catch(q){}}}
  if (typeof(window.ONTVcomFunc)=="undefined"){
    window.ONTVcomFunc = function(event){
      var com={};try{com=JSON.parse(event.data.substr(8));}catch(qqq){com={};}
      if((typeof(com)!="object")||(typeof(com.sender)!="string")||(com.sender!="onntv")||(typeof(com.comm)!="string")||(com.comm.length==0)){return;}
      try{window.ONTVdebug(com,2);}catch(yyy){}switch( com.comm ){
        case "vasturlsset":var i=window.ONTVAllPlayerIndex("iid",com.iid);if(i>=0){window.ONTVPlayers[i].vastssend=true;}break;
        case "playerLoaded":try{if(typeof(window.top.branding)=="object"){
            if(window.top.branding['websiteId']==com.websiteId){try{window.ONTVshowBranding(com.iid,window.top.branding);
             window.ONTVtrackI( "https://cdn.onnetwork.tv/cnt/a_cntg.png?ts="+Date.now()+"&d="+com.websiteId+"&wsc=00&typ=embed&mobile=0&c=2011" );}catch(yyy){}}}}catch(uuu){}
            if(com.websiteId==9722){window.ONTVtrackI( "https://cdn.onnetwork.tv/cnt/a_cntg.png?ts="+Date.now()+"&d=9722&wsc=00&typ=embed&mobile=0&c=2001" );}
            break;
        case "vastsadded":var i=window.ONTVAllPlayerIndex("iid",com.iid);if(i>=0){window.ONTVPlayers[i].vasts=[];}break;
        case "barsend":var i=window.ONTVAllPlayerIndex("iid",com.iid);if(i>=0){window.ONTVPlayers[i].bar.send=true;}break;
        case "moviesetu": break ;
        case "moviecompleted":if(com.playerType<2){window.ONTVVPOP=Math.max(window.ONTVVPOP-1,0);}else{window.ONTVVPOPA=Math.max(window.ONTVVPOPA-1,0);}
        case "moviecleared": case "movieset":
          try{
          if (('AG' in window) && ('rodoAccepted' in window.AG)){ window.ONTVsendMes('rodoAccepted',window.AG.rodoAccepted,""); }
          }catch(e){}
          window.ONTVredistMes(event.data);
          var i = window.ONTVAllPlayerIndex("frameId",com.frameId);
          for (var i=0;i<window.ONTVPlayers.length;i++){
            if (window.ONTVPlayers[i] && (typeof(window.ONTVPlayers[i].frameId)=="string") && (window.ONTVPlayers[i].frameId==com.frameId)){
              if (window.ONTVPlayers[i].div){ 
                window.ONTVPlayers[i].div.classList.remove("isplayinga","isplayingm"); 
                if ((com.comm=="moviecompleted") && window.ONTVPlayers[i].div.classList.contains( "smfmo" ) && 
                    window.ONTVPlayers[i].div.classList.contains( "smin4" )){
                  window.ONTVPlayers[i].div.classList.remove("smfmo","smin4");
                  window.ONTVPlayers[i].div.classList.add("smin2");
                }
              }
              break ;
            }
          }
          break;
        case "pl_minhidden" : break ; 
        case "pl_minshown" : break ; 
        case "pl_minstate" :
          try{if (com.frameId){var pcid=com.frameId.substr(2);if (pcid && pcid.length){var pc=document.getElementById(pcid);
          if(pc){if (pc.classList && pc.classList.contains("miniature")){window.ONTVsendMes('showMiniaturer',com.frameId,"");}
          else{window.ONTVsendMes('hideMiniaturer',com.frameId,"");}}}}}catch(e){}
          break ; 
        case "startmovie": case "onntvads": case "onntvadf": case "movieresumed" : case "adresumed" : window.ONTVredistMes(event.data);break;
        case "log":var logdiv=document.getElementById("logdiv");if(logdiv){logdiv.innerHTML=com.subject+"<br/>"+logdiv.innerHTML;}break;
        case "adstarted" :
          if(com.playerType<2){window.ONTVAPOP++;}else{window.ONTVAPOPA++;}
          for (var i=0;i<window.ONTVPlayers.length;i++){
            if (window.ONTVPlayers[i] && (typeof(window.ONTVPlayers[i].frameId)=="string")){
              window.ONTVPlayers[i].gpidle=0;
              if (window.ONTVPlayers[i].frameId==com.frameId){
                try{clearTimeout( window.ONTVPlayers[i].mtimer );}catch(e){}
                try{if(window.ONTVPlayers[i].sm1as==1){window.ONTVPlayers[i].div.classList.add("smin1");
                  window.ONTVPlayers[i].div.classList.remove("smin2","smin3","smin4","smin5","smin6","smin7");}
                if ( (window.ONTVPlayers[i].div.classList.contains("smin2") ||
                      (window.ONTVPlayers[i].div.classList.contains("smin4") && (window.ONTVPlayers[i].miniatureAgain==1)))&& 
                     (window.ONTVPlayers[i].div.classList.contains("closer4") || window.ONTVPlayers[i].div.classList.contains("closer3")) && 
                     ((("miniatureLevel" in window.ONTVPlayers[i]) && (window.ONTVPlayers[i].div.intersectionRatio<=window.ONTVPlayers[i].div.miniatureLevel)) || 
                      (!("miniatureLevel" in window.ONTVPlayers[i]) && (window.ONTVPlayers[i].div.intersectionRatio<=0))) ){
                  window.ONTVPlayers[i].div.classList.add("pnivp");
                  window.ONTVPlayers[i].div.classList.remove("nomin");
                }}catch(e){}
                if (window.ONTVPlayers[i].div){ if (com.subject=="nomin"){ window.ONTVPlayers[i].div.classList.add("nomin"); }                
                window.ONTVPlayers[i].div.classList.add("isplayinga");window.ONTVPlayers[i].div.classList.add("pstarted");window.ONTVPlayers[i].div.classList.remove("isplayingm");
                if(window.ONTVPlayers[i].alws==1){window.ONTVPlayers[i].div.classList.add("alwayssticky");}
                if(com.target=="audio"){window.ONTVPlayers[i].div.classList.add("aaudio");}
                if(com.target=="video"){window.ONTVPlayers[i].div.classList.add("avideo");}
                window.ONTVPlayers[i].div.classList.remove("aviewa"); }
              }
            }
          }
          break ;
        case "adviewable" :
          for (var i=0;i<window.ONTVPlayers.length;i++){
            if (window.ONTVPlayers[i] && (typeof(window.ONTVPlayers[i].frameId)=="string") && (window.ONTVPlayers[i].frameId==com.frameId)){
              if (window.ONTVPlayers[i].div){ window.ONTVPlayers[i].div.classList.add("aviewa"); 
                if(window.ONTVPlayers[i].hmv==1){window.ONTVPlayers[i].div.classList.add("nomin");}}
              break ;
            }
          }
          break ;
        case "report":window.ONTVdebug(com,0.5);if(0){break;}
          window.ONTVtrackI( "https://cdn.onnetwork.tv/cnt/a_cntg.png?ts="+Date.now()+"&d="+com.websiteId+
            "&wsc=00&typ=embed&mobile=0&c=30" );
//          if(0==0){break;}
          if(Array.isArray(com.subject) && com.subject.length>0){
            for(var i=0;i<com.subject.length;i++){if(com.subject[i].body && com.subject[i].body['id']=="HeavyAdIntervention"){
              var j=window.ONTVAllPlayerIndex("frameId",com.frameId);
              if(j>=0){p=window.ONTVPlayers[j];if(p.gphai==1){window.ONTVHGPTPassback(j,51);break;}
                window.ONTVdebug("Heavy Ad Intervention on "+com.frameId+" onnp:"+j,0.5);
                if(p.div){p.div.remove();p.usf=0;p.adbs=1;p.frame=p.div2=p.div=null;
                  p.baseId=(window.ONTVbaseId||"EXS")+Date.now();p.divId=p.baseId+window.ONTVplayerNb;
                  p.frameId="ff"+p.divId;p.div2Id="d"+p.frameId;
                  var nfs=window.ONTVGetFrameSrc(p).replace("frame86.php","video.php");
                  p.frameSrc=nfs;console.log(nfs);p.addcount=p.isfs=0;p.added=p.vastsend=false;console.log( p );
                }break;
              }
            }}
          }
          break ;
case "adblockfplayed": case "adblockpplayed": var i=window.ONTVAllPlayerIndex("frameId",com.frameId);window.ONTVdebug(com,0.5);
 if(i>=0){window.ONTVdebug(window.ONTVPlayers[i],0.5);p=window.ONTVPlayers[i];if(p.gpabc==1){window.ONTVHGPTPassback(i,52);}}break;
case "adnotpresent":var i=window.ONTVAllPlayerIndex("frameId",com.frameId);
 if(i>=0){p=window.ONTVPlayers[i];
   try{if(p.naa!=1){p.div.classList.add("pachecked");}else if(p.containerId){var tc=document.getElementById(p.containerId);
   if(tc && tc.ONTVAdded){tc.style.height="1px";tc.style.maxHeight="1px";tc.style.overflow="hidden";tc.style.margin="0";}}}catch(e){}
   if(p.optad==1){var en=com.outstream?'onn_outstream_notsold':'onn_instream_notsold';
     window.ONTVdebug("not sold sending",0.5);var e=document.createEvent("Event");e.initEvent(en);document.dispatchEvent(e);}
   if(p.gpna==1){window.ONTVHGPTPassback(i,53);}
 }
        case "moviestarted": window.ONTVredistMes(event.data);
        case "adskipped": case "adcomplete": case "aderror":  case "adblocked": case "advideoexcluded":
          var i = window.ONTVAllPlayerIndex("frameId",com.frameId);
          if ((i>=0) && (window.ONTVPlayers[i].div)){ 
            if (window.ONTVPlayers[i].miniaturePlayer==4){
              if (window.ONTVPlayers[i].miniatureMBlock==1){
                window.ONTVPlayers[i].mtimer = setTimeout( function(){try{window.ONTVPlayers[i].div.classList.remove("isplayinga","aviewa","aaudio","avideo");}catch(e){}} , 2000 );
              }else{
                window.ONTVPlayers[i].mtimer = setTimeout( function(){try{window.ONTVPlayers[i].div.classList.remove("isplayinga","nomin","aviewa","aaudio","avideo");}catch(e){}} , 2000 );
              }
            }else{
              window.ONTVPlayers[i].div.classList.remove("isplayinga","nomin","aviewa","aaudio","avideo"); 
            }
            if ((com.comm=="adskipped")||(com.comm=="adcompleted")){if(com.playerType<2){window.ONTVAPOP=Math.max(window.ONTVAPOP-1,0);}else{window.ONTVAPOPA=Math.max(window.ONTVAPOPA-1,0);}}
            if (com.comm=="moviestarted"){window.ONTVPlayers[i].div.classList.add("isplayingm");if(window.ONTVPlayers[i].alws==1){window.ONTVPlayers[i].div.classList.add("alwayssticky");}
              if(window.ONTVPlayers[i].naa!=1){window.ONTVPlayers[i].div.classList.add("pstarted");}if(com.playerType<2){window.ONTVVPOP++;}else{window.ONTVVPOPA++;}
              if(window.ONTVPlayers[i].sm1as==1){window.ONTVPlayers[i].div.classList.add("smin1");
                window.ONTVPlayers[i].div.classList.remove("smin2","smin3","smin4","smin5","smin6","smin7");}}
          }
          break ;
        case "addtcclass" :
          for (var i=0;i<window.ONTVPlayers.length;i++){
            if (window.ONTVPlayers[i] && (typeof(window.ONTVPlayers[i].frameId)=="string") && (window.ONTVPlayers[i].frameId==com.frameId)){
              if (window.ONTVPlayers[i].div){ window.ONTVPlayers[i].div.classList.add(com.subject); 
                if ((com.subject=="brandpX")&&!isNaN(com.target)&&(com.target>0)){var bhs = document.getElementById("ONTVBHstyle");
                 if(bhs){bhs.innerHTML="div.onnetworkplayercontainer.brandpX{padding-bottom:"+(window.ONTVPlayers[i].ar*(100+com.target)/100)+"% !important;}";}
                }break;}}}
          break ;
        case "removetcclass" :
          for (var i=0;i<window.ONTVPlayers.length;i++){
            if (window.ONTVPlayers[i] && (typeof(window.ONTVPlayers[i].frameId)=="string") && (window.ONTVPlayers[i].frameId==com.frameId)){
              if (window.ONTVPlayers[i].div){ window.ONTVPlayers[i].div.classList.remove(com.subject); break;}}}
          break ;
        case "resize" :
          if ((typeof(com.id)=="string")&&(com.id!="")&&!isNaN(1*com.w)&&!isNaN(1*com.h)){
            var itr=document.getElementById(com.id);if(itr){itr.style.width=1*com.w+"px";itr.style.height=1*com.h+"px";}
          }break ;
        case "phide": case "phidep":
                    var ciid=pcont=w=0;var t=z="";var i=window.ONTVAllPlayerIndex("frameId",com.frameId);
          if(i>=0){p=window.ONTVPlayers[i];ciid=ciid||p.iid;w=p.wid;t=p.gptslot;z=p.gptsizes;
            if(p.div&&p.div.parentNode){pcont=p.div.parentNode;p.div.parentNode.removeChild(p.div);}
            else if(p.div&&p.div2){p.div.classList.remove("ocloser");pcont=p.div;p.div.removeChild(p.div2);}
            if(p.containerId){var tc=document.getElementById(p.containerId);
              if(tc && tc.ONTVAdded && tc.parentNode){pcont=tc.parentNode;tc.parentNode.removeChild(tc);}}
            window.ONTVPlayers[i]=null;window.ONTVPlayers.splice(i,1);}window.ONTVdebug( pcont , 0.5 );
          if(com.comm=="phide"){if(typeof(window.injectAdvert)=="function"){try{window.injectAdvert(ciid);}catch(ttt){}}}
          else if(pcont&&w&&t&&z){window.ONTVGPTPassback(t,z,w,54);}
          break ;
        case "dphide" :
                    var ciid=0;for(var i=0;i<window.ONTVPlayers.length;i++){
            if (window.ONTVPlayers[i] && (typeof(window.ONTVPlayers[i].frameId)=="string") && (window.ONTVPlayers[i].frameId==com.frameId)){
              ciid = ciid || window.ONTVPlayers[i].iid;try{var pc=document.getElementById(window.ONTVPlayers[i].divId);
              pc.style.height="0px";pc.style.minHeight="0px";pc.style.padding="0px";pc.classList.remove("ocloser");}catch(e){}
              setTimeout(function(){try{
                if (window.ONTVPlayers[i].div && window.ONTVPlayers[i].div.parentNode){ window.ONTVPlayers[i].div.parentNode.removeChild( window.ONTVPlayers[i].div ); }
                else if (window.ONTVPlayers[i].div && window.ONTVPlayers[i].div2){ window.ONTVPlayers[i].div.removeChild( window.ONTVPlayers[i].div2 ); }
                window.ONTVPlayers[i]=null;window.ONTVPlayers.splice(i,1);}catch(e){}},520);break;}}
          if (typeof(window.injectAdvert)=="function"){try{window.injectAdvert(ciid);}catch(e){}}
          break ;
        case "pfsexit" :
          window.ONTVFSOff( com.frameId );
          break ;
        case "onntvfullscreenswitch" :
          for (var i=0;i<window.ONTVPlayers.length;i++){
            if (window.ONTVPlayers[i].frameId==com.frameId){
              if (window.ONTVPlayers[i].div2){
                window.ONTVhideAllMiniature();
                screen.lockOrientationUniversal = screen.lockOrientation || screen.mozLockOrientation || screen.msLockOrientation;
                var unlockOrientation = screen.unlockOrientation || screen.mozUnlockOrientation || screen.msUnlockOrientation || (screen.orientation && screen.orientation.unlock);
                if (window.ONTVPlayers[i].div2.classList.contains('fsplayer')){ 
                  window.ONTVPlayers[i].div2.classList.remove('fsplayer');
                  window.ONTVPlayers[i].div2.classList.add('normplayer');                  
                  try{unlockOrientation();}catch(e){}
                  window.ONTVsendMes('sfsExited',window.ONTVPlayers[i].frameId,"");
                }else{
                  window.ONTVPlayers[i].div2.classList.remove('normplayer');
                  window.ONTVPlayers[i].div2.classList.add('fsplayer');
                  try{screen.lockOrientationUniversal('landscape')}catch(e){}
                  window.ONTVsendMes('sfsEntered',window.ONTVPlayers[i].frameId,"");
                }
                break ;
              }
            }
          }
          break ;
        case "rframe" :
//          window.ONTVhideAllMiniature();
          for (var i=0;i<window.ONTVPlayers.length;i++){
            if (window.ONTVPlayers[i].containerId==com.containerId){ window.ONTVhideMiniature(window.ONTVPlayers[i]); } }
          window.ONTVaddReplacePlayer({"containerId":com.containerId,"mid":com.subject});
          break ;
      }
    }
    window.addEventListener( "message" , window.ONTVcomFunc , false );
  }
  if (typeof(window.ONTVIdleTime)=="undefined"){
    window.ONTVIdleTime=0;
    window.ONTVIdleTimerCount=function(){window.ONTVIdleTime++;if(window.ONTVIdleTime%5==0){window.ONTVIdleTimerNotify();}
     for(var i=0;i<window.ONTVPlayers.length;i++){
       if(window.ONTVPlayers[i].gpidle>0 && window.ONTVIdleTime>=window.ONTVPlayers[i].gpidle){window.ONTVHGPTPassback(i,55);break;}}}
    window.ONTVIdleTimerReset=function(){ var ct=window.ONTVIdleTime; window.ONTVIdleTime=0;if(ct>5){window.ONTVIdleTimerNotify();}}
    window.ONTVIdleTimerNotify=function(){ var com={"sender":"onntv","sscript":"loader","comm":"idletime","subject":window.ONTVIdleTime};
      var comtxt="onntv://"+JSON.stringify( com );window.ONTVredistMes(comtxt);}
    window.addEventListener("load",window.ONTVIdleTimerReset,false);
    window.addEventListener("mousemove",window.ONTVIdleTimerReset,false);
    window.addEventListener("mousedown",window.ONTVIdleTimerReset,false);
    window.addEventListener("touchstart",window.ONTVIdleTimerReset,true);
    window.addEventListener("click",window.ONTVIdleTimerReset,false);
    window.addEventListener("keypress",window.ONTVIdleTimerReset,false);
    window.addEventListener("scroll",window.ONTVIdleTimerReset,true);
    setInterval(window.ONTVIdleTimerCount,1000);
  }
if(typeof(window.ONTVGPTPassback)=="undefined"){
  window.ONTVGPTPassback=function(slot,sizes,websiteId,c=0){
    try{var nd=document.createElement("div");nd.id="gpt-passback";nd.style.position="absolute";
      nd.style.width="100%";nd.style.height="100%";nd.style.top=0;nd.style.left=0;document.body.appendChild(nd);
      var ns=document.createElement("script");ns.innerHTML='var s=document.createElement("script");s.async=true;'+
      's.src="https://securepubads.g.doubleclick.net/tag/js/gpt.js";document.body.appendChild(s);'+
      'window.googletag=window.googletag||{cmd:[]};googletag.cmd.push(function(){'+
      'googletag.defineSlot("'+slot+'",'+sizes+',"gpt-passback").addService(googletag.pubads());'+
      'googletag.enableServices();googletag.display("gpt-passback");});';document.body.appendChild(ns);
      window.ONTVtrackI( "https://cdn.onnetwork.tv/cnt/a_cntg.png?ts="+Date.now()+"&d="+websiteId+
      "&wsc=00&typ=embed&mobile=0&c=50" );
      if(c>0){window.ONTVtrackI( "https://cdn.onnetwork.tv/cnt/a_cntg.png?ts="+Date.now()+"&d="+websiteId+
      "&wsc=00&typ=embed&mobile=0&c="+c );}}catch(ttt){console.log(ttt);}
  }
}
if(typeof(window.ONTVHGPTPassback)=="undefined"){
  window.ONTVHGPTPassback=function(i,c=0){
    var ciid=pcont=w=0;var t=z="";if(i>=0){p=window.ONTVPlayers[i];ciid=ciid||p.iid;w=p.wid;t=p.gptslot;z=p.gptsizes;
     if(p.div&&p.div.parentNode){pcont=p.div.parentNode;p.div.parentNode.removeChild(p.div);}
     else if(p.div&&p.div2){p.div.classList.remove("ocloser");pcont=p.div;p.div.removeChild(p.div2);}
     if(p.containerId){var tc=document.getElementById(p.containerId);
      if(tc && tc.ONTVAdded && tc.parentNode){pcont=tc.parentNode;tc.parentNode.removeChild(tc);}}
      window.ONTVPlayers[i]=null;window.ONTVPlayers.splice(i,1);}
     if(pcont&&w&&t&&z){window.ONTVGPTPassback(t,z,w,c);}
  }
}
if(typeof(window.ONTVkeyvalue)=="undefined"){window.ONTVkeyvalue=function(keyvar){return Function('"use strict";return('+keyvar+');')();}}
if(typeof(window.ONTVrefpage)=="undefined"){window.ONTVrefpage=function(){
var string = "" ;try{string=window.top.location.href;}catch(e){string=window.location.href;}
if(string.indexOf("#")>0){string=string.substr(0,string.indexOf("#"));}string=encodeURIComponent(string);return string ;}}
if (typeof(window.ONTVsetFrame)=="undefined"){window.ONTVsetFrame=function(PlayerEntry){if(PlayerEntry.frame){
window.ONTVtrack( "https://cdn.onnetwork.tv/cnt/a_cntg.png?ts="+Date.now()+"&d="+PlayerEntry.wid+
"&wsc=00&typ=embed&mobile=0&c=41" );return;}
var fi=document.getElementById(PlayerEntry.frameId);window.ONTVdebug("setFrame:"+PlayerEntry.frameId,0.5);
if(fi){newsource=PlayerEntry.frameSrc+'&wtop='+window.ONTVrefpage()+'&apop='+window.ONTVAPOP+
'&vpop='+window.ONTVVPOP+'&apopa='+window.ONTVAPOPA+'&vpopa='+window.ONTVVPOPA;
if(0 && typeof(window.top.branding)=="object"){newsource=newsource+"&eb=1";}
if((PlayerEntry.containerId)&&(PlayerEntry.containerId.length>0)){newsource=newsource+'&cId='+PlayerEntry.containerId;}
try{if (('AG' in window)&&('rodoAccepted' in window.AG)){newsource=newsource+'&AGra='+window.AG.rodoAccepted;}}catch(e){}
try{if ('cxDmpSegments' in window){ newsource=newsource+'&cxDmpS='+encodeURIComponent(window.cxDmpSegments.toString()); }}catch(e){}
if (PlayerEntry.vasturl.length>10){if(newsource.indexOf("&vasturl=")<0){newsource=newsource+'&vasturl='+PlayerEntry.vasturl;}}
else{ try{if (PlayerEntry.useDfpParams && ('dfpParams' in window) && ('video' in window.dfpParams) && ('preroll' in window.dfpParams.video)){newsource=newsource+'&vasturl='+encodeURIComponent(window.dfpParams.video.preroll.substring(0,6000));
PlayerEntry.vasturl=window.dfpParams.video.preroll;PlayerEntry.vastssend=false;
if (PlayerEntry.useDfpOrg&&(typeof(window.dfpParams.video.orgPreroll)=="string")&&(window.dfpParams.video.orgPreroll.length>20)&&(window.dfpParams.video.orgPreroll!=window.dfpParams.video.preroll)){
PlayerEntry.orgdfp=window.dfpParams.video.orgPreroll;PlayerEntry.vastssend=false;}}}catch(e){}
try{if (PlayerEntry.useDfpParamsAudio && ('dfpParams' in window) && ('video' in window.dfpParams) && ('audio' in window.dfpParams.video)){ newsource=newsource+'&vasturl='+encodeURIComponent(window.dfpParams.video.audio.substring(0,6000));
PlayerEntry.vasturl=window.dfpParams.video.audio;PlayerEntry.vastssend=false;console.log("dfpParams.video.audio used");}}catch(e){}}
window.ONTVdebug("newsource:"+newsource,0.5);
fi.referrerPolicy="no-referrer-when-downgrade";if(PlayerEntry.usf==1){
fetch(newsource,{mode:'cors',method:'get',credentials:'include',cache:'no-cache',referrerPolicy:'origin-when-cross-origin'}).then(function(r){
r.text().then(function(t){if(fi){try{var fid=fi.contentDocument||fi.contentWindow.document;fid.open("text/html","replace");
fid.write(t);fid.close();}catch(e){fi.src=newsource;}}}).catch(function(e){fi.src=newsource;})}).catch(function(e){fi.src=newsource;});
}else{fi.src=newsource;}PlayerEntry.frame=fi;PlayerEntry.div2=fi.parentElement;PlayerEntry.div=PlayerEntry.div2.parentElement;
if (PlayerEntry.div){ PlayerEntry.div.miniatureLevel = PlayerEntry.miniatureLevel ; }
window.ONTVstartObserver(PlayerEntry.div);}}}
  if (typeof(window.ONTVinvokePlayer)=="undefined"){
    window.ONTVinvokePlayer=function( PlayerEntry ){try{
      if (PlayerEntry.addcount>100){ return false; }
      qq = new Date().getTime();
      var fstyle;
      if(PlayerEntry.outstream=="o"){fstyle='padding-bottom:0px;';}else{fstyle='padding-bottom:calc( '+PlayerEntry.ar+'% - 1px );';}
      if(PlayerEntry.newoutstream==1){fstyle='';}
      var frameinvokef = '<div id="d'+PlayerEntry.frameId+'" class="checkvisc normplayer alwplayer desktop'+
                         '" onclick="window.ONTVcloseMiniature(this);" style="aspect-ratio:'+PlayerEntry.ar1+';">'+
                         '<iframe title="Onnetwork video player" id="'+PlayerEntry.frameId+'" class="checkvisc onnetworkframe desktop" '+
                         ' style="aspect-ratio:'+PlayerEntry.ar1+';" scrolling="no" allowfullscreen allow="autoplay; fullscreen; clipboard-write; xr"></iframe>' +
                         '</div>' ;
      var frameinvoke = '<div id="'+PlayerEntry.divId+'" class="checkvis onnetworkplayercontainer desktop wid'+PlayerEntry.wid+
                        (PlayerEntry.newoutstream==1?' outstream ':' ') + (PlayerEntry.smfmo==1?' smfmo ':' ') + (PlayerEntry.shid==1?' shid ':' ') + 
                        (PlayerEntry.ocloser==1?' ocloser ':' ') + 'country'+PlayerEntry.cid + ' podcast'+PlayerEntry.podcast +
                        (PlayerEntry.mnhbop==1?' mnhbop ':' ') +
                        (window.ONTVminiatureBlocked()?'':' smin'+PlayerEntry.miniaturePlayer + (PlayerEntry.miniatureCloser>0?' closer closer'+PlayerEntry.miniatureCloser:' ') + ' mmpl'+PlayerEntry.mMiniaturePlayer) + '" style="'+
                        fstyle+'" '+(PlayerEntry.miniatureCloserDelay>0 ? ' data-closerdelay='+PlayerEntry.miniatureCloserDelay+' ' : 'data-closerdelay=0 ' )+
                        ((PlayerEntry.miniaturePos==1)&&(PlayerEntry.miniatureTarget!="")?' data-miniaturetarget="'+PlayerEntry.miniatureTarget+'" ':'' ) +
                        (PlayerEntry.ocloser==1?' onclick="window.ONTVclosePlayer(this);" ':' ') +
                        ' >'+frameinvokef+'</div>' ;
      if (PlayerEntry.containerId){
        var embedContainer = document.getElementById( PlayerEntry.containerId );
        
        if (embedContainer && (typeof(embedContainer)=="object")){ 
          try{ embedContainer.innerHTML = frameinvoke ; 
               window.ONTVdebug( "onnetwork player assigned into container" , 1 ); }catch(e){ console.log( e ); }
        } else {if(document.readyState=="loading"){document.write( frameinvoke ); window.ONTVdebug( "onnetwork player code written" , 1 );}else{window.ONTVdebug("Async call while document already loaded",1);}}
      } else 
      if (PlayerEntry.insertNode){
        var nd=document.createElement("DIV");
        nd.id=PlayerEntry.divId;if(PlayerEntry.outstream=='o'){if(PlayerEntry.newoutstream!=1){nd.style.paddingBottom="0px;";}}else{nd.style.paddingBottom="calc( "+PlayerEntry.ar+"% - 1px )";}
        nd.className = "checkvis onnetworkplayercontainer desktop wid"+PlayerEntry.wid + 
                       (PlayerEntry.newoutstream==1?' outstream ':' ') + (PlayerEntry.smfmo==1?' smfmo ':' ') + 
                       (PlayerEntry.mnhbop==1?' mnhbop ':' ') +
                       (PlayerEntry.ocloser==1?' ocloser ':' ') + 'country'+PlayerEntry.cid + ' podcast'+PlayerEntry.podcast +
                       (window.ONTVminiatureBlocked()?'':' smin'+PlayerEntry.miniaturePlayer + (PlayerEntry.miniatureCloser>0?' closer closer'+PlayerEntry.miniatureCloser:' ') + ' mmpl'+PlayerEntry.mMiniaturePlayer) ;
        nd.dataset['closerdelay'] = PlayerEntry.miniatureCloserDelay ;
        if((PlayerEntry.miniaturePos==1)&&(PlayerEntry.miniatureTarget!="")){ nd.dataset['miniaturetarget'] = PlayerEntry.miniatureTarget ; }
        nd.innerHTML = frameinvokef ;
        if (PlayerEntry.ocloser==1){ nd.addEventListener( "click" , window.ONTVclosePlayer , false ); }
        if (PlayerEntry.scriptSibling){ PlayerEntry.insertNode.insertBefore( nd , PlayerEntry.scriptSibling ); }
        else { PlayerEntry.insertNode.appendChild( nd ); }
        window.ONTVdebug( "onnetwork player put after script node" , 1 );
      } else{document.write(frameinvoke);window.ONTVdebug("onnetwork player code written",1);}
      window.ONTVtrackI( "https://cdn.onnetwork.tv/cnt/a_cntg.png?ts="+Date.now()+"&d="+PlayerEntry.wid+
      "&wsc=00&typ=embed&mobile=0&c=40" );
      if (PlayerEntry.playerDelay>0){
        setTimeout( function(){window.ONTVsetFrame( PlayerEntry );} , PlayerEntry.playerDelay*1000 );
      }else{
        window.ONTVsetFrame( PlayerEntry );
      }
      if ((PlayerEntry.outstream=='o')&&(PlayerEntry.newoutstream!=1)){setTimeout(function(){try{document.getElementById(PlayerEntry.divId).style.paddingBottom='calc( '+PlayerEntry.ar+'% - 1px )';}catch(e){}},50);}
      PlayerEntry.addcount++ ;
      return true ;}catch(e){window.ONTVtrack( "https://cdn.onnetwork.tv/cnt/a_cntg.png?ts="+Date.now()+"&d="+PlayerEntry.wid+
      "&wsc=00&typ=embed&mobile=0&c=42" );return false;}
    }
    window.EXSInvokePlayer=function(_cId,_sOpt,_mOpt,_sP){window.ONTVaddReplacePlayer({"containerId":_cId,"miniaturePlayer":_mOpt,"mid":_sP});}
  }
if(typeof(window.ONTVbaseId)=="undefined"){window.ONTVbaseId="EXSfd7a7379b44002927fca0472054a9906";}
  window.ONTVPlayer=function( d , addstyle="" , copyfields=[] ){
    window.ONTVdebug(d,0.5);var _NPlayer={};
    if(d.containerId){
      _NPlayer.containerId=d.containerId;
    }else if(document.currentScript.parentNode){
      _NPlayer.containerId="";_NPlayer.insertNode=document.currentScript.parentNode;_NPlayer.scriptSibling=document.currentScript.nextElementSibling;
    }else{return false;}
    for(const f in window.ONTVFields){
      d[f]=ONTVCheckField(f,d);if(window.ONTVFields[f].c){_NPlayer[f]=d[f];}
      }
    if(d.orgoa){_NPlayer.orgoa=d.orgoa;}
    if(!d.wid || isNaN(d.wid) || parseInt(d.wid)<=0){return false;}
    if(Array.isArray(copyfields) && copyfields.length>0){
      for(var i=0;i<copyfields.length;i++){if(d[copyfields[i]]){_NPlayer[copyfields[i]]=d[copyfields[i]];}}
    }
    window.ONTVplayerNb++;
    _NPlayer.miniatureTarget=d.miniatureTarget||"";
    _NPlayer.miniaturePos=1*(_NPlayer.miniatureTarget!="");

    _NPlayer.baseId=(window.ONTVbaseId||"EXS")+Date.now();
    _NPlayer.divId=_NPlayer.baseId+window.ONTVplayerNb;
    _NPlayer.frameId="ff"+_NPlayer.divId;
    _NPlayer.div2Id="d"+_NPlayer.frameId;
    _NPlayer.div=_NPlayer.div2=_NPlayer.frame=null;
    _NPlayer.ar1=100/d.ar;
    _NPlayer.added=_NPlayer.vastsend=false;
    _NPlayer.addcount=_NPlayer.isfs=0;
    _NPlayer.number=window.ONTVplayerNb;
    _NPlayer.podcast=d.podcast||0;
    _NPlayer.isCpl=d.isCpl||0;
    _NPlayer.vasts = d.vasts||[];
    if(_NPlayer.mid.length==0){
      if(_NPlayer.wid>0 && _NPlayer.vids.length>0){var v=_NPlayer.vids.split(",");
        for(var i=0;i<v.length;i++){if(!isNaN(parseInt(v[i])) && parseInt(v[i])>0){_NPlayer.onnvid=parseInt(v[i]);break;}}
      }
      if((_NPlayer.exmp4.length>0 || 
          _NPlayer.exhls.length>0)&&(_NPlayer.onnvid==0)){_NPlayer.onnvid=54215;}
    }
    _NPlayer.iid=d.iid||Date.now();
    _NPlayer.frameSrc=window.ONTVGetFrameSrc(_NPlayer);
    var s=document.createElement("style");
    var mpposstyle=d.mpposstyle||"top:auto;left:auto;right:20px;bottom:20px; ";
    if (_NPlayer.mloc=="TR"){ mpposstyle="top:"+_NPlayer.vmar+"px;right:"+_NPlayer.hmar+"px;bottom:auto;left:auto; "; }
    if (_NPlayer.mloc=="TL"){ mpposstyle="top:"+_NPlayer.vmar+"px;left:"+_NPlayer.hmar+"px;bottom:auto;right:auto; "; }
    if (_NPlayer.mloc=="BR"){ mpposstyle="bottom:"+_NPlayer.vmar+"px;right:"+_NPlayer.hmar+"px;top:auto;left:auto; "; }
    if (_NPlayer.mloc=="BL"){ mpposstyle="bottom:"+_NPlayer.vmar+"px;left:"+_NPlayer.hmar+"px;top:auto;right:auto; "; }
    if (_NPlayer.mloc=="TC" && window.ONTVmobile){ mpposstyle="top:"+_NPlayer.vmar+"px;right:50%;bottom:auto;left:auto;transform:translateX(50%); "; }
    if (_NPlayer.mloc=="TC" && !window.ONTVmobile){ mpposstyle="top:"+_NPlayer.vmar+"px;right:"+_NPlayer.hmar+"px;bottom:auto;left:auto; "; }
    if (_NPlayer.mloc=="BC" && window.ONTVmobile){ mpposstyle="bottom:"+_NPlayer.vmar+"px;right:50%;top:auto;left:auto;transform:translateX(50%); "; }
    if (_NPlayer.mloc=="BC" && !window.ONTVmobile){ mpposstyle="bottom:"+_NPlayer.vmar+"px;right:"+_NPlayer.hmar+"px;top:auto;left:auto; "; }
    s.innerHTML = addstyle + (_NPlayer.containerId!=""?"#"+_NPlayer.containerId+" ":"")+'.wid'+_NPlayer.wid+'.miniature>.alwplayer.desktop,'+
                (_NPlayer.containerId!=""?"#"+_NPlayer.containerId+" ":"")+'.wid'+_NPlayer.wid+'.miniature.mmpl1>.alwplayer.smartphone,.miniature.mmpl1>.alwplayer.tablet,' +
                (_NPlayer.containerId!=""?"#"+_NPlayer.containerId+" ":"")+'.wid'+_NPlayer.wid+'.miniature.mmpl2>.alwplayer.smartphone,.miniature.mmpl2>.alwplayer.tablet,' +
                (_NPlayer.containerId!=""?"#"+_NPlayer.containerId+" ":"")+'.wid'+_NPlayer.wid+'.miniature.mmpl3>.alwplayer.smartphone,.miniature.mmpl3>.alwplayer.tablet' +
                '{'+mpposstyle+'} ' ;
    document.body.appendChild(s);
    window.ONTVPlayers.push(_NPlayer);
  }
window.ONTVOptAdWS=[{d:"celebs-networth.com",i:9453},{d:"discuss.com.hk",i:9877},{d:"joecomp.com",i:9878},{d:"epic-interesting.com",i:9884},
{d:"wybieram-zdrowie.com",i:9399},{d:"oknonawagrowiec.pl",i:9400},{d:"opowiastka.com",i:9401},{d:"thetruereporter.com",i:9402},{d:"pit.pl",i:9442},
{d:"tekstowo.pl",i:9443},{d:"wrc.net.pl",i:9711},{d:"goniec.pl",i:9712},{d:"tysol.pl",i:9444},{d:"rynek-kolejowy.pl",i:9445},{d:"flamengo81.com",i:9446},
{d:"epic-interesting.com",i:9884},{d:"globalinfo.pl",i:9885},{d:"episch-interessant.com",i:9886},{d:"epique-interessantes.com",i:9887},
{d:"epico-interessanti.com",i:9888},{d:"epico-interesantes.com",i:9889},{d:"epico-interesantes.org",i:9890},{d:"epico-interessantes.com",i:9891},
{d:"dyrehistorier-danmark.com",i:9892},{d:"djurhistorier-sverige.com",i:9893},{d:"dyrehistorier-norge.com",i:9894},{d:"dieren-verhalen-nederland.com",i:9895},
{d:"elainten-tarinoita-suomi.com",i:9896},{d:"hayvan-hikayeleri-tr.com",i:9897},{d:"istories-zoon-gr.com",i:9898},{d:"pribehy-zvirat-cz.com",i:9899},
{d:"allattortenetek-hu.com",i:9900},{d:"pribehy-zvierat-sk.com",i:9901},{d:"price-o-zivotinjama-hr.com",i:9902},{d:"tregime-te-kafsheve-al.com",i:9903},
{d:"gyvunu-istorijos-lt.com",i:9904},{d:"zivalske-zgodbe-sl.com",i:9905},{d:"dzivnieku-stasti-lv.com",i:9906},{d:"povesti-cu-animale-ro.com",i:9907},
{d:"animal-stories-ar.com",i:9908},{d:"istorii-o-zhivotnyh-ru.com",i:9909},{d:"al-akhbar.com",i:9917},{d:"bankier.pl",i:9922},{d:"biznesinfo.pl",i:9923},
{d:"boop.pl",i:9926},{d:"dziennikwschodni.pl",i:9921},{d:"lelum.pl",i:9927},{d:"newsbook.pl",i:9928},{d:"przelom.pl",i:9929},{d:"skijumping.pl",i:9924},
{d:"telepolis.pl",i:9925},{d:"turkweb.pl",i:9930},{d:"wykop.pl",i:9940},{d:"dieroten.pl",i:9941},{d:"apk.god",i:9942},{d:"transfery.info",i:9944},
{d:"bezprawnik.pl",i:10083},{d:"sadeczanin.info",i:10082},{d:"menshealth.pl",i:10084},{d:"womenshealth.pl",i:10085},{d:"comidasdereceitas.com",i:10086},
{d:"iphonemod.net",i:10087},{d:"medthai.com",i:10088}];
  window.ONTVOptAdPlayer=function( d ){
    var c={},cf=[],addstyle="",bo=true;c.wid=d.wid||9074,c.ar=56.25,c.ar1=1.78;c.optad=1;
//    if(d.wid && parseInt(d.wid)>0){c.wid=d.wid;}
    if(c.wid==9074 && d && d.params && d.params.domain && typeof(d.params.domain)=="string"){
      var cd=d.params.domain.toLowerCase();if(cd.startsWith("www.")){cd=cd.slice(4);}
      for(var i=0;i<window.ONTVOptAdWS.length;i++){if(window.ONTVOptAdWS[i].d==cd){c.wid=window.ONTVOptAdWS[i].i;break;}}
      if(c.wid==9074){for(var i=0;i<window.ONTVOptAdWS.length;i++){if(cd.endsWith(window.ONTVOptAdWS[i].d)){c.wid=window.ONTVOptAdWS[i].i;break;}}}
      if(c.wid==9074){if(cd.endsWith(".ru")){c.wid=9943;}
        fetch( 'https://video1.onnetwork.tv/opt.php?d='+encodeURIComponent(d.params.domain) , {mode:'no-cors'} );      }
    }
    if(d && d.params && d.params.adSettings && d.params.adSettings.branding && d.params.adSettings.branding.bar && 
       d.params.adSettings.branding.bar.overflow===false){ bo=false; }
    if(d && d.params && d.params.target && d.params.target.containerId){
      c.containerId = d.params.target.containerId ;
    }else if(d && d.params && d.params.target && d.params.target.selector){
      var s=document.querySelector(d.params.target.selector);
      if(s){
        try{var nd=document.createElement("div");nd.id="nd"+(window.ONTVbaseId||"EXS")+Date.now();nd.ONTVAdded=true;
        if(parseFloat(d.params.adSettings['width'])>0){if(typeof(d.params.adSettings['width'])=="string" && d.params.adSettings['width'].endsWith("%"))
        {nd.style['width']=parseFloat(d.params.adSettings['width'])+'%'}else{nd.style['width']=parseInt(d.params.adSettings['width'])+'px'}}
        else if(d.params.adSettings['width']=="auto"){nd.style['width']="auto";}
        if(parseFloat(d.params.adSettings['height'])>0){if(typeof(d.params.adSettings['height'])=="string" && d.params.adSettings['height'].endsWith("%"))
        {nd.style['height']=parseFloat(d.params.adSettings['height'])+'%'}else{nd.style['height']=parseInt(d.params.adSettings['height'])+'px'}}
        else if(d.params.adSettings['height']=="auto"){nd.style['height']="auto";}
        if(d.params.target.margin){nd.style['margin']=d.params.target.margin;}else{nd.style['margin']='0 auto';}
        s.insertAdjacentElement(d.params.target.insertMethod,nd);c.containerId=nd.id;
        if(c.wid>=9884 && c.wid<=9909){d.params.adSettings.fixTransform=1;}
        if(d.params.domain=="tyna.info.pl"){d.params.adSettings.fixTransform=2;}
        if(d && d.params && d.params.adSettings && d.params.adSettings.fixTransform){
          if(d.params.adSettings.fixTransform===true || d.params.adSettings.fixTransform===1){
            var ce=nd.closest(".td-fix-index");if(ce){ce.style['transform']="none";}}
          if(d.params.adSettings.fixTransform===2){var a=nd;while(a=a.parentNode){if(a.tagName=="BODY"){break;}
            var cs=window.getComputedStyle(a);if(cs['transform']!="none"){a.style['transform']="none";}}}
        }}catch(e){console.log(e);}
      }
    }
    c.outstream="";
    if(d && d.params && d.params.adSettings){
      c.ap=4;c.outstream=(d.params.adSettings['type']=="inbanner"?"o":"");
      if(d.params.adSettings['autoStart']==true){
//        c.ap=(c.outstream=="o" && d.params.adSettings['stickyOnly']==1)?3:4;
        c.ap=(c.outstream=="o" && d.params.adSettings['stickyOnly']==1)?3:2;
      }else{
        c.ap=0;
      }
      if(d.params.adSettings['showWay']=="slide"){if(c.outstream=="o"){c.newoutstream=1;}else{c.shid=1;}}
      else if(c.outstream==""){addstyle+='div.onnetworkplayercontainer{opacity:0;}';}
      if(d.params.adSettings['sticky']==true){
        c.miniaturePlayer=4;c.pinva=1;c.pinv=1;c.sm1as=1;
        c.mnhbop=1;
        c.mloc=d.params.adSettings['position'];
        c.hmar=d.params.adSettings['horizontal_margin'];
        c.vmar=d.params.adSettings['vertical_margin'];
        if(c.mloc.charAt(0)=="T"){c.mMiniaturePlayer=2;}else{c.mMiniaturePlayer=3;}
        var sw=sh=shp=sho=0;if(d.params.adSettings['stickyWidth']){sw=parseInt(d.params.adSettings['stickyWidth']);}
        if((d.params.adSettings['stickyHeight'])&&(parseInt(d.params.adSettings['stickyHeight'])>0)){sh=parseInt(d.params.adSettings['stickyHeight'])+(bo?16:0);
          shp=parseInt(d.params.adSettings['stickyHeight'])+(bo?16/window.innerHeight:0);sho=parseInt(d.params.adSettings['stickyHeight']);}
        if(sw*sh>0){addstyle+='.onnetworkplayercontainer.miniature>.alwplayer.desktop{width:'+sw+'px;height:'+sh+'px;max-height:'+sh+'px;}'+
          '.onnetworkplayercontainer.miniature>.alwplayer.smartphone{height:'+sh+'px;max-width:'+sw+'px;padding:0px !important;}'+
          'div.onnetworkplayercontainer.miniature > .alwplayer.smartphone > iframe.onnetworkframe{ height:'+parseInt(d.params.adSettings['stickyHeight'])+'px !important;}'+
          '.onnetworkplayercontainer.miniature>.alwplayer.tablet{height:'+sh+'px;max-width:'+sw+'px;padding:0px !important;}'+
          'div.onnetworkplayercontainer.miniature > .alwplayer.tablet > iframe.onnetworkframe{ height:'+parseInt(d.params.adSettings['stickyHeight'])+'px !important;}';}
        else if(sh>0){
          addstyle+=
          '.onnetworkplayercontainer.miniature{animation-duration:1s;}'+
          '.onnetworkplayercontainer.miniature>.alwplayer{width:auto !important;max-width:100% !important;height:'+sho+'vh !important;max-height:none !important;padding:0px !important;aspect-ratio:16/9 !important;'+
          (bo?'overflow:visible;':'')+((c.mloc.charAt(1)=="C" && window.ONTVmobile)?"min-width:100%;background-color:black;":"")+'}'+
          'div.onnetworkplayercontainer.miniature > .alwplayer > iframe.onnetworkframe{ height:100% !important;}'+
          (bo?'.onnetworkplayercontainer.miniature .onnocbar{top:100%;bottom:auto;}.miniature.closer.cvis.mmpl2>.alwplayer:after, .miniature.closer.cvis.mmpl4.above>.alwplayer:after{top:calc( 100% + 16px );} ':'');}
        else if(sw>0){
          addstyle+=
          '.onnetworkplayercontainer.miniature{animation-duration:0.5s;}'+
          '.onnetworkplayercontainer.miniature>.alwplayer{width:'+sw+'vw !important;max-width:100% !important;height:auto !important;max-height:none !important;padding:0px !important;aspect-ratio:16/9 !important;'+
          (bo?'overflow:visible;':'')+'}'+
          'div.onnetworkplayercontainer.miniature > .alwplayer > iframe.onnetworkframe{ height:100% !important;}'+
          (bo?'.onnetworkplayercontainer.miniature .onnocbar{top:100%;bottom:auto;}.miniature.closer.cvis.mmpl2>.alwplayer:after, .miniature.closer.cvis.mmpl4.above>.alwplayer:after{top:calc( 100% + 16px );} ':'');
        }
      }
      if(d.params.adSettings['closeButton']==true){
        c.miniatureCloser=1;
        if(d.params.adSettings['closeDelay']>0){c.miniatureCloserDelay=d.params.adSettings['closeDelay'];}else{c.miniatureCloserDelay=0;}
      }
      if(c.outstream=="o"){
        if(d.params.adSettings['ocloser']==1){c.ocloser=1;}
        if(d.params.adSettings['stickyOnly']==1){
          c.miniaturePlayer=2;c.alws=1;c.pinva=1;c.pinv=0;
          addstyle+='div.onnetworkplayercontainer.alwayssticky.pstarted{padding-bottom:0;opacity:1;max-height:none;}' ;
        }
      }
      if(typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file']=="https://get.optad360.io/video/VIDEO_02.mp4"){d.params.adSettings['vids']="569683";}
      if(typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file']=="https://get.optad360.io/video/T-Mobile_telepolis.mp4"){d.params.adSettings['vids']="568954";}
      if(typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file']=="https://get.optad360.io/video/polsat_box_go_telepolis.mp4"){d.params.adSettings['vids']="568952";}
      if(typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file']=="https://get.optad360.io/video/SiepomagaPl_60s.mp4"){d.params.adSettings['vids']="568951";}
      if(typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file']=="https://get.optad360.io/video/WroclawMiastoSpotkan_16_9_720p.mp4"){d.params.adSettings['vids']="580079";}
      if(typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file']=="https://get.optad360.io/video/bio_diversity_protects_life.mp4"){d.params.adSettings['vids']="580084";}
      if(typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file']=="https://get.optad360.io/video/because_you_have_a_heart.mp4"){d.params.adSettings['vids']="580087";}
      if(typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file']=="https://get.optad360.io/video/wielkanoc_720p_16_9.mp4"){d.params.adSettings['vids']="631331";}
      if(typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file']=="https://get.optad360.io/video/transfery_info_RC_Lens.mp4"){d.params.adSettings['vids']="641151";}
      if(typeof(d.params.adSettings['vids'])=="string" && d.params.adSettings['vids'].length>3){
        c.vids=d.params.adSettings['vids'];
      }else{
        c.vids = "476375";
        if(c.outstream=="" && typeof(d.params.adSettings['file'])=="string" && d.params.adSettings['file'].length>10){
          c.exmp4 = d.params.adSettings['file'];
        }
      }
      if(d.params.adSettings.disableAdsPreload==true){c.dpre=1;}
      if(c.outstream=="" && d.params.adSettings['forceFile']!=true){c.naa=1;c.ap=4;}
      if(c.outstream=="" && d.params.adSettings['forceFile']==true){c.preload=1;c.dpre=1;if(d.params.adSettings.disableAdsPreload==true){c.dpre=1;}}
      if(c.outstream=="" && d.params.adSettings['forceFile']!=false){
        addstyle+='div.onnetworkplayercontainer.pachecked{padding-bottom:calc( '+c.ar+'% - 1px );opacity:1;max-height:none;}'+
                  'div.onnetworkplayercontainer.pachecked.shid.oft16{padding-top:16px;}'+
                  'div.onnetworkplayercontainer.pachecked.shid{ padding-bottom:calc( 56.25% - 1px ) !important; }';
      }
      if(d.params.adSettings['muted']==true){c.map=1;c.umum=1;}
    }
    if(d.params.adSettings.tagsByPlacement && Array.isArray(d.params.adSettings.tagsByPlacement.preroll1)){
      c.vasts = [];
      var bvcid = Date.now();
            for(var i=0;i<d.params.adSettings.tagsByPlacement.preroll1.length;i++){
        var vs=1675;try{if(d.params.adSettings.tagsByPlacement.preroll1[i].indexOf("doubleclick")<0){vs=1737;}}catch(rrr){}
        var v={vs:vs,vcid:bvcid,vc:d.params.adSettings.tagsByPlacement.preroll1[i],own:1,clkpause:1,vpos:3,
          skipTime:d.params.adSettings['skipOffset']||0,pblocksize:d.params.adSettings.tagsByPlacement.pblocksize||2,
          pblockbumber:d.params.adSettings.tagsByPlacement.pblockbumper||1,
          mblocksize:d.params.adSettings.tagsByPlacement.mblocksize||1,
          mblockbumber:d.params.adSettings.tagsByPlacement.mblockbumper||1,clearEA:1};
        c.vasts.push(v);
        bvcid++;
      }
    }
    if(d.params.adSettings.branding && d.params.adSettings.branding.bar){c.bar=d.params.adSettings.branding.bar;cf.push("bar");}
    if(d.params.adSettings.cid && !isNaN(parseInt(d.params.adSettings.cid))){c.cid=parseInt(d.params.adSettings.cid);if(c.cid!=0){c.lang=1;c.cid=10;}}
    try{if(d.params.adSettings.language){if(d.params.adSettings.language.toUpperCase()=="PL"){c.lang=0;}if(d.params.adSettings.language.toUpperCase()=="ENG"){c.lang=1;c.cid=10;}}}catch(e){}
    c.usf=1;
    addstyle+='div.onnetworkplayercontainer.pstarted{padding-bottom:calc( '+c.ar+'% - 1px );opacity:1;max-height:none;}'+
              'div.onnetworkplayercontainer.miniature{z-index:2147483647 !important;}'+
              'div.onnetworkplayercontainer.miniature>div.alwplayer{z-index:2147483647 !important;}'+
              '.miniature.closer.cvis.oft16.desktop > .alwplayer:after{height:40px;max-width:calc( 100% + 20px );width:calc( 100% + 20px );top:-40px;background-position:calc( 100% - 20px ) 20px;}'+
              '.miniature.closer.cvis.mmpl2.oft16>.alwplayer:after,.miniature.closer.cvis.mmpl4.above.oft16>.alwplayer:after{height:40px;background-position:right 2px;}'+
              '.onnetworkplayercontainer.miniature.oft16{animation:none !important;}' ;
    d.addstyle = addstyle ;
    c.orgoa = d ;
    if(c.ap==0){if(c.shid==1){c.shid=0;}}
    if(d.isCpl==1){
      c.isCpl=1;
      c.playertype=d.playertype;
      c.iid = d.iid ;
      c.ap = 2 ;
      c.map = 0 ;
      window.ONTVOptAdCustomPlayer(c,function(){ ONTVPlayer( c , addstyle , cf ); });
    }else{
      ONTVPlayer( c , addstyle , cf );
    }
  }
if(typeof(window.ONTVPlayersStartFunction)=="undefined"){window.ONTVPlayersStartFunction=function(){
for(var i=0;i<window.ONTVPlayers.length;i++){if((window.ONTVPlayers[i]!=null) && !window.ONTVPlayers[i].added){window.ONTVPlayers[i].added=window.ONTVinvokePlayer(window.ONTVPlayers[i]);}}
for(var i=0;i<window.ONTVPlayers.length;i++){if(window.ONTVPlayers[i]!=null){
if(!window.ONTVPlayers[i].vastssend){window.ONTVsendCommand("setvasturls",window.ONTVPlayers[i].iid,window.ONTVPlayers[i].vasturl,window.ONTVPlayers[i].orgdfp);}
if(Array.isArray(window.ONTVPlayers[i].vasts) && window.ONTVPlayers[i].vasts.length){window.ONTVsendCommand("addvast",window.ONTVPlayers[i].iid,window.ONTVPlayers[i].vasts);}
if(window.ONTVPlayers[i].bar && !window.ONTVPlayers[i].bar.send){
if(window.ONTVPlayers[i].bar.overflow!==false){window.ONTVPlayers[i].bar.send=true;window.ONTVPlayers[i].div.classList.add("oft16");
var br=window.ONTVPlayers[i].bar;var bi="";if(br.text){bi=bi+"<span style='vertical-align:middle !important;line-height:14px !important;font-weight:400 !important;font-family:Arial !important;font-size:12px !important;color:white !important;'>"+br.text+"</span>" ; }
if(br.image){bi=bi+"<img src='"+br.image+"' style='display:inline-block !important;height:14px;max-height:14px !important;vertical-align:middle !important;margin:0px 3px !important;padding:0 !important;border:none !important;width:auto !important;opacity:1 !important;' />" ; }
if(br.link){ bi="<a href='"+br.link+"' target='_BLANK' rel='noreferrer' style='text-decoration:none !important;font-size:12px !important;line-height:1.2 !important;direction:ltr;unicode-bidi:bidi-override;'>"+bi+"</a>" ; }
var ocbar=document.createElement("div");if(ocbar){ocbar.className="onnocbar";ocbar.innerHTML=bi;window.ONTVPlayers[i].div2.appendChild(ocbar);}}
else{window.ONTVsendCommand("sendbar",window.ONTVPlayers[i].iid,window.ONTVPlayers[i].bar);}}}}}
setTimeout( function(){setInterval( window.ONTVPlayersStartFunction,50);},50 );}
window.ONTVdebug( 'Embed pt:16.6189670563' , 1 );